import request from '@/utils/request'

// 创建客户投诉跟进
export function createCustomerComplaintFollow(data) {
  return request({
    url: '/ecw/customer-complaint-follow/create',
    method: 'post',
    data: data
  })
}

// 更新客户投诉跟进
export function updateCustomerComplaintFollow(data) {
  return request({
    url: '/ecw/customer-complaint-follow/update',
    method: 'put',
    data: data
  })
}

// 删除客户投诉跟进
export function deleteCustomerComplaintFollow(id) {
  return request({
    url: '/ecw/customer-complaint-follow/delete?id=' + id,
    method: 'delete'
  })
}

// 获得客户投诉跟进
export function getCustomerComplaintFollow(id) {
  return request({
    url: '/ecw/customer-complaint-follow/get?id=' + id,
    method: 'get'
  })
}

// 获得客户投诉跟进分页
export function getCustomerComplaintFollowPage(query) {
  return request({
    url: '/ecw/customer-complaint-follow/page',
    method: 'get',
    params: query
  })
}

// 导出客户投诉跟进 Excel
export function exportCustomerComplaintFollowExcel(query) {
  return request({
    url: '/ecw/customer-complaint-follow/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
